* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  scrollbar-width: thin;
  scrollbar-color: var(--graphit-40) var(--graphit-10); /* thumb | track */
}

html {
  scroll-behavior: smooth;
  font-family: "Inter", Helvetica, Verdana, sans-serif;
}

body {
  background-color: var(--background);
  color: var(--black);
}

h1 {
  width: 800px;
}

img {
  display: block;
}

a {
  transition: all 0.3s ease;
}
a:hover {
  color: var(--hover);
}

#dienstleistungen,
#referenzen,
#kontakt,
#about {
  scroll-margin-top: var(--spacer-64);
}

.nav-wrapper {
  height: 120px;
  display: flex;
  justify-content: space-between;
  align-items: end;
  border-bottom: 1px solid var(--graphit-20);
  padding: 0 var(--grid);
}

.nav-desktop {
  position: sticky;
  top: 0;
  background-color: rgba(246, 245, 237, 0.8);
  backdrop-filter: blur(10px);
  -webkit-backdrop-filter: blur(10px);
  transition: transform 0.3s ease; /* Für einen sanften Übergang */
  z-index: 999;
}

/* Standardmäßig wird die Navigation angezeigt */
.nav-desktop.hidden {
  transform: translateY(
    -100%
  ); /* Versteckt die Navigation, indem sie nach oben verschoben wird */
}

nav li {
  display: inline-flex;
  vertical-align: middle;
  padding: 0 var(--spacer-48) 0 0;
}

nav li a {
  text-decoration: none;
}

nav li:last-child {
  padding: 0;
}

.nav-mobile {
  margin: calc(-1 * var(--spacer-96)) 0 0 0;
  padding: var(--spacer-32) var(--grid);
  border-bottom: 1px solid var(--graphit-20);
  border-top: 1px solid var(--graphit-20);
  width: 100%;
  z-index: 999;
  background-color: rgba(246, 245, 237, 0.8);
  backdrop-filter: blur(10px);
  position: sticky;
  transform: translateY(-1px);
  top: 0;
  transition: transform 0.3s ease; /* Für einen sanften Übergang */
}

/* Standardmäßig wird die Navigation angezeigt */
.nav-mobile.hidden {
  transform: translateY(
    -100%
  ); /* Versteckt die Navigation, indem sie nach oben verschoben wird */
}

.nav-icon-wrapper {
  display: flex;
  justify-content: space-between;
}

.mobile-nav-icon {
  display: flex;
  flex-direction: column;
  align-items: center;
}

.for-mobile {
  display: none; /* Immer angezeigt, wenn nicht versteckt */
}

.for-desktop {
  display: block;
}

.center-content {
  margin: 0 auto;
  width: var(--content);
}

.button {
  padding: var(--spacer-8) var(--spacer-24);
  display: inline-block;
  text-decoration: none;
  background-color: var(--graphit-100);
  border-radius: var(--cornerradius);
  transition: all 0.3s ease;
}

.button:hover {
  background-color: var(--hover);
  color: var(--graphit-5);
}

/* Image Strip top  */
.img-strip-top {
  height: 612px;
  display: grid;
  grid-auto-flow: column;
  grid-template-columns: 3fr 1fr 2fr;
  gap: var(--gap);
  margin: 0 0 0 var(--grid);
}

.img-strip-top img {
  width: 100%;
  height: 612px;
  object-fit: cover;
  border-radius: var(--cornerradius);
}

/* Intro */
.intro-title {
  margin: var(--spacer-64) 0 0 0;
  /* margin: calc(-1 * var(--spacer-48)) 0 var(--spacer-32) 0; */
}

.intro-lead {
  width: 70%;
  padding: 0 0 0 var(--spacer-96);
}

.header-illustration {
  display: flex;
  justify-content: right;
  transform: translateY(1px);
}

.line {
  border-bottom: 1px solid var(--graphit-40);
}

/*  Dienstleistgunten  */

.kachel-wrapper {
  display: grid;
  grid-template-columns: repeat(4, 1fr);
  gap: var(--gap);
}

.kachel {
  background-color: var(--graphit-5);
  height: 360px;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  padding: var(--spacer-32);
  border-radius: var(--cornerradius);
  overflow-wrap: break-word;
  word-break: break-word;
  hyphens: auto;
  border: solid 1px var(--graphit-5);
  transition: all 0.2s ease;
}

.kachel:hover {
  border: solid 1px var(--graphit-20);
  background-color: var(--graphit-10);
}

.questions-wrapper {
  width: 50%;
  padding: 0 0 0 var(--spacer-96);
}

/*  Image Strip Middle  */
.img-strip-middle {
  height: 380px;
  display: grid;
  grid-template-columns: 2fr 1fr 3fr;
  gap: var(--gap);
  margin: 0 var(--grid) 0 0;
}

.img-strip-middle img {
  width: 100%;
  height: 380px;
  object-fit: cover;
  border-radius: var(--cornerradius);
}

.strip-headline {
  text-align: right;
  margin: var(--spacer-64) 0 var(--spacer-128) 0;
  /* margin: calc(-1 * var(--spacer-48)) 0 var(--spacer-128) 0; */
}

/*  Referenzen  */

.images-wrapper {
  display: grid;
  gap: var(--gap);
}

.left {
  grid-template-columns: 2fr 1fr;
}

.right {
  grid-template-columns: 1fr 2fr;
}

.images-wrapper img {
  height: 612px;
  width: 100%;
  object-fit: cover;
  border-radius: var(--cornerradius);
}

.figcaption-wrapper {
  display: flex;
}

.figcaption-number {
  padding: 2px var(--spacer-8) 0 0;
}

.projects-img-wrapper {
  display: grid;
  grid-template-columns: 1fr 1fr 1fr 1fr;
  gap: var(--gap);
}

.projects-wrapper img {
  height: 220px;
  width: 100%;
  object-fit: cover;
  border-radius: var(--cornerradius);
}

/*  Kontakt  */

.contact {
  background-color: var(--black);
  height: 400px;
  position: relative;
}

.contact-wrapper {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  padding: var(--spacer-64) 0 0 0;
}

.contact-wrapper a {
  color: var(--graphit-5);
}

.contact-wrapper a:hover {
  color: var(--graphit-40);
}

.h2-wrapper {
  width: 50%;
  border-right: 1px solid var(--graphit-100);
}

.adress-wrapper {
  display: flex;
  justify-content: flex-end;
  width: 50%;
}

.contact-illustration {
  position: absolute;
  bottom: 0;
}

.contact-illustration img {
  width: 360px;
}

/*  About */

.about-img {
  margin: 0 calc(-1 * var(--grid)) 0 calc(-1 * var(--grid));
}

.about-img img {
  width: 100%;
  height: 612px;
  object-fit: cover;
  border-radius: var(--cornerradius);
}

.text-position {
  margin: var(--spacer-64) 0 var(--spacer-32) 0;
  /* margin: calc(-1 * var(--spacer-48)) 0 var(--spacer-32) 0; */
}

.about-text {
  display: flex;
  justify-content: space-between;
  gap: var(--spacer-96);
  padding: 0 var(--spacer-96) 0 var(--spacer-96);
}

/* footer */
.footer-wrapper {
  padding: var(--spacer-64) var(--grid);
  display: flex;
  position: relative;
  border-top: 1px solid var(--graphit-40);
  height: 480px;
}

.footer-wrapper a {
  color: var(--graphit);
}

.footer-wrapper a:hover {
  color: var(--hover);
}

.footer-img {
  width: 30%;
}

.footer-illustration {
  position: absolute;
  bottom: 0;
  right: var(--grid);
}

.disclaimer {
  background-color: var(--graphit-100);
  padding: var(--spacer-12) var(--grid);
  display: flex;
}

.disclaimer a {
  color: var(--graphit-5);
  padding-right: var(--spacer-128);
}

.disclaimer a:hover {
  color: var(--graphit-40);
  cursor: pointer;
}

/* popup */

.overlay {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: rgba(75, 66, 57, 0.8);
  display: flex;
  justify-content: center;
  align-items: center;
  opacity: 0;
  visibility: hidden;
  transition: opacity 0.3s ease;
  backdrop-filter: blur(10px);
}

.overlay.active {
  opacity: 1;
  visibility: visible;
}

.popup {
  background: var(--background);
  padding: var(--spacer-32);
  border-radius: var(--cornerradius);
  max-width: 50%;
  width: 90%;
  position: relative;
  transform: scale(0.9);
  transition: transform 0.3s ease;
}

.overlay a {
  color: var(--black);
}

.overlay a:hover {
  color: var(--hover);
}

.overlay.active .popup {
  transform: scale(1);
}

.close {
  position: absolute;
  top: 10px;
  right: 20px;
  background: none;
  border: none;
  cursor: pointer;
}
